## org.omg.CORBA
Class ContainerHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ContainerHelper

public class ContainerHelper
extends java.lang.Object

Helper class for : Container

Author:
  OpenORB Compiler

Constructor Summary
`ContainerHelper()`

Method Summary
`static Container` `extract(Any a)` Extract Container from an any
`static java.lang.String` `id()` Return the Container IDL ID
`static void` `insert(Any a, Container t)` Insert Container into an any
`static Container` `narrow(Object obj)` Narrow CORBA::Object to Container
`static Container` `read(InputStream istream)` Read Container from a marshalled stream
`static TypeCode` `type()` Return the Container TypeCode
`static Container` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to Container
`static void` `write(OutputStream ostream, Container value)` Write Container into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerHelper

    public ContainerHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Container t)

  Insert Container into an any
  Parameters:
    `a` - an any
    `t` - Container value

### extract

    public static Container extract(Any a)

  Extract Container from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Container value

### type

    public static TypeCode type()

  Return the Container TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Container IDL ID
  Returns:
    an ID

### read

    public static Container read(InputStream istream)

  Read Container from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Container value

### write

    public static void write(OutputStream ostream,
                             Container value)

  Write Container into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Container value

### narrow

    public static Container narrow(Object obj)

  Narrow CORBA::Object to Container
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Container Object

### unchecked_narrow

    public static Container unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to Container
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Container Object